Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.configuration.gml
Class GMLFileResource

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.crs.configuration.resources.XMLFileResource
              org.deegree.crs.configuration.gml.GMLFileResource

All Implemented Interfaces:
  Serializable, GMLResource, CRSResource<Element>, XMLResource, XLinkResolver<Element>

    public class GMLFileResource

extends XMLFileResource
implements GMLResource

The `GMLFileResource` provides easy access to a gml3.2. dictionary file, which can be used together with the `GMLCRSProvider`.

Version:
  $Revision: 23198 $, $Date: 2010-03-23 08:40:31 +0100 (Di, 23. Mär 2010) $
Author:
  Rutger Bezema, last edited by: $Author: lbuesching $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`GMLFileResource(GMLCRSProvider provider, Properties properties)`

Method Summary
`List<String>` | `getAvailableCRSIds()`
`List<CoordinateSystem>` | `getAvailableCRSs()`
`List<String[]>` | `getSortedAvailableCRSIds()`
`Transformation` | `getTransformation(CoordinateSystem sourceCRS, CoordinateSystem targetCRS)` Implementations should find a given transformation (chain) which transforms coordinates of the given coordinate system into coordinates of the target crs.
`Element` | `getURIAsType(String uri)` Opens a stream to a resource which is defined by the uri.
`Helmert` | `getWGS84Transformation(GeographicCRS sourceCRS)` Implementations should find the helmert transformation which transforms coordinates of the geodetic datum into coordinates of the WGS84 datum.

Methods inherited from class org.deegree.crs.configuration.resources.XMLFileResource
`getProvider`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GMLFileResource

    public GMLFileResource(GMLCRSProvider provider,
                           Properties properties)

Parameters:
  `provider` -
  `properties` -

Method Detail

### getWGS84Transformation

    public Helmert getWGS84Transformation(GeographicCRS sourceCRS)

  Description copied from interface: `CRSResource`
  Implementations should find the helmert transformation which transforms coordinates of the geodetic datum into coordinates of the WGS84 datum. If no such transformation could be found, the implementation should return `null`

  Specified by:
    `getWGS84Transformation` in interface `CRSResource<Element>`
  Parameters:
    `sourceCRS` - to retrieve the transformation for.
  Returns:
    the `Helmert` transformation or `null` if no such transformation was defined.

### getTransformation

    public Transformation getTransformation(CoordinateSystem sourceCRS,
                                            CoordinateSystem targetCRS)

  Description copied from interface: `CRSResource`
  Implementations should find a given transformation (chain) which transforms coordinates of the given coordinate system into coordinates of the target crs. If no such transformation could be found, the implementation should return `null`

  Specified by:
    `getTransformation` in interface `CRSResource<Element>`
  Parameters:
    `sourceCRS` - start point of the transformation.
    `targetCRS` - end point of the transformations
  Returns:
    the `Transformation` or `null` if no such transformation was defined.

### getURIAsType

    public Element getURIAsType(String uri)
                         throws IOException

  Description copied from interface: `XLinkResolver`
  Opens a stream to a resource which is defined by the uri.

  Specified by:
    `getURIAsType` in interface `XLinkResolver<Element>`
  Parameters:
    `uri` - to locate
  Returns:
    an opened InputStream to the given resource or `null` if no resource was found.
  Throws:
    `IOException` - If an error occurred while locating or opening the resource.

### getAvailableCRSIds

    public List<String> getAvailableCRSIds()

  Specified by:
    `getAvailableCRSIds` in interface `GMLResource`

### getSortedAvailableCRSIds

    public List<String[]> getSortedAvailableCRSIds()

  Specified by:
    `getSortedAvailableCRSIds` in interface `GMLResource`

### getAvailableCRSs

    public List<CoordinateSystem> getAvailableCRSs()

  Specified by:
    `getAvailableCRSs` in interface `GMLResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org